.wp-component-accordion-item {
  --outline-colour: var(--colour-black);
  --text-colour: var(--colour-white);
  --border-colour: var(--colour-grey-3);
  --icon-colour: var(--colour-black);
  border-top: 2px solid var(--border-colour);
  padding: var(--spacing-xs) 0;
  position: relative;
}

.wp-component-accordion-item:last-of-type {
  border-bottom: 2px solid var(--border-colour);
}

.wp-component-accordion-item__title {
  font-size: 18px;
  line-height: 150%;
  font-weight: 700;
  text-transform: capitalize;
  display: flex;
  justify-content: space-between;
  align-items: center;
  gap: var(--spacing-gutter);
  cursor: pointer;
  width: 100%;
  text-align: left;
  color: var(--accordion-title-colour, currentcolor);
}

.wp-component-accordion-item__toggle {
  flex: 0 0 27px;
  height: 27px;
  width: 27px;
  display: flex;
  transition: var(--transition-all);
  position: relative;
  justify-content: center;
  align-items: center;
}

.wp-component-accordion-item__toggle svg {
  margin: auto;
  transform: rotate(90deg);
  transition: var(--transition-all);
}

.wp-component-accordion-item__toggle path {
  fill: var(--icon-colour);
}

.wp-component-accordion-item__toggle::before, .wp-component-accordion-item__toggle::after {
  content: "";
  position: absolute;
  width: 20px;
  height: 2px;
  background-color: currentcolor;
  transition: var(--transition-all);
}

.wp-component-accordion-item__toggle::after {
  transform: rotate(90deg);
}

.wp-component-accordion-item__content {
  display: grid;
  grid-template-rows: 0fr;
  transition: var(--transition-all);
}

.wp-component-accordion-item__content__inner {
  overflow: hidden;
}

.wp-component-accordion-item__content__inner > :first-child {
  padding-top: var(--spacing-xs);
}

.wp-component-accordion-item--active {
  --border-colour: var(--colour-1);
}

.standard-spacing--dark-gradient .wp-component-accordion-item--active {
  --border-colour: var(--colour-2);
}

.wp-component-accordion-item--active .wp-component-accordion-item__title .wp-component-accordion-item__toggle svg {
  transform: rotate(-90deg);
}

.wp-component-accordion-item--active .wp-component-accordion-item__title .wp-component-accordion-item__toggle::after {
  transform: rotate(0deg);
}

.wp-component-accordion-item--active .wp-component-accordion-item__content {
  grid-template-rows: 1fr;
}

.wp-component-accordion-item--standout {
  --accordion-title-colour: var(--colour-1);
  --icon-colour: var(--colour-1);
  --heading-colour: var(--colour-1);
  margin: var(--spacing-xxs) 0;
  border: 0;
  box-shadow: var(--box-shadow-default);
  background-color: var(--colour-white);
  color: var(--colour-text-dark);
}

.wp-component-accordion-item--standout:last-of-type {
  border-bottom: 0;
}

.wp-component-accordion-item--standout .wp-component-accordion-item__toggle::before, .wp-component-accordion-item--standout .wp-component-accordion-item__toggle::after {
  display: none;
}

.wp-component-accordion-item--large-title .wp-component-accordion-item__title {
  font-size: 24px;
  line-height: 150%;
  font-weight: 700;
  text-transform: capitalize;
}

@media (min-width: 1024px) {
  .wp-component-accordion-item--large-title .wp-component-accordion-item__title {
    font-size: 26px;
  }
}
